gRPC C#
gRPC C#
Namespaces
Grpc.Core
Channel Class
Channel Constructor
Channel Properties
Channel Methods

Channel Class

Represents a gRPC channel. Channels are an abstraction of long-lived connections to remote servers. More client objects can reuse the same channel. Creating a channel is an expensive operation compared to invoking a remote call so in general you should reuse a single channel for as many calls as possible.
Inheritance Hierarchy
System
Object
Grpc.Core
Channel

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class Channel

    Public Class Channel

    public ref class Channel

    type Channel =  class end

The Channel type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Channel(String, Credentials, IEnumerable ChannelOption ) | Creates a channel that connects to a specific host. Port will default to 80 for an unsecure channel and to 443 for a secure channel.
| Channel(String, Int32, Credentials, IEnumerable ChannelOption ) | Creates a channel that connects to a specific host and port.

Top
Properties

| Name | Description
--- | --- | ---
| ResolvedTarget | Resolved address of the remote endpoint in URI format.
| State | Gets current connectivity state of this channel.
| Target | The original target used to create the channel.

Top
Methods

| Name | Description
--- | --- | ---
| ConnectAsync | Allows explicitly requesting channel to connect without starting an RPC. Returned task completes once state Ready was seen. If the deadline is reached, or channel enters the FatalFailure state, the task is cancelled. There is no need to call this explicitly unless your use case requires that. Starting an RPC on a new channel will request connection implicitly.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ShutdownAsync | Waits until there are no more active calls for this channel and then cleans up resources used by this channel.
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| WaitForStateChangedAsync | Returned tasks completes once channel state has become different from given lastObservedState. If deadline is reached or and error occurs, returned task is cancelled.

Top
See Also

#### Reference

Grpc.Core Namespace